Deals
AT EUR

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

Zyxel GS1920-8HPV2 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black

Zyxel · Network Switch

Zyxel GS1920-8HPV2 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black price in Austria

Model GS1920-8HPV2MPN 170520MPN GS1920-8HPV2-EU0101FMPN 4104EAN 4718937602247EAN 3540260177748

  • Memory256 MB
  • Noise0 dB
  • Weight1.9 kg
  • ColourBlack

Lowest price incl. delivery

€ 206,35

at getgoodsFree deliveryIn stock

  • 1 store
  • 1 in stock
  • 1 with free delivery
  • Checked 6 Oct 2026, 05:40 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in Austria

1 store · prices in EUR · updated 6 Oct 2026, 05:40 UTC

Lowest price€ 206,35at getgoods · free shippingGo to getgoods (opens in a new tab)
Price range across 1 offer

Every store asks the same price.

  • 1 of 1 stores in stock
  • 1 with free shipping
  • Checked 6 Oct 2026, 05:40 UTC

  1. getgoodsLowest priceZyXEL GS1920-8HPv2 GS1920-8HPv2 Netzwerk Switch 8 + 2 Port In stockFree shipping
    € 206,35incl. free shipping
    Go to store : getgoods (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in Austria

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Best price · getgoods€ 206,35
Go to store

Product details

Identification

Brand
Zyxel
Product
GS1920-8HPV2 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
Full name
Zyxel GS1920-8HPV2 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
Manufacturer part number
170520, GS1920-8HPV2-EU0101F, 4104, GS1920-8HPV2-GB0101F
EAN / UPC
4718937602247, 3540260177748, 4718937602230, 4718937602254, 4718937577217

68 specifications from the manufacturer's data sheet

Management features

Switch typeManaged
Quality of Service (QoS) supportYes
ARP inspectionYes
System event logYes
MIB supportRFC 1066, RFC 1213, RFC 1157, RFC 1493, RFC 1643, RFC 1757, RFC 2011.2012,2013, RFC 2233, RFC 2358, RFC 2674, RFC 2819,2925, RFC 3621, RFC 4022, RFC 4113, RFC 4292, RFC 4293

Ports & interfaces

Basic switching RJ-45 Ethernet ports quantity8
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)
Installed SFP modules quantity0
Installed SFP+ modules quantity0
Combo SFP ports quantity2
Fiber optic connectorSFP

Network

Networking standardsIEEE 802.1D, IEEE 802.1Q, IEEE 802.1ab, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNo
Copper ethernet cabling technology100BASE-TX, 1000BASE-T
Flow control supportYes
Rate limitingYes
Spanning tree protocolYes
VLAN supportYes
Virtual LAN featuresPrivate VLAN, Voice VLAN, Protocol-based VLAN, MAC address-based VLAN, Port-based VLAN, IP subnet–based VLAN

Optical fiber

Fiber ethernet cabling technology1000BASE-X

Data transmission

MAC address table16000 entries
Switching capacity20 Gbit/s
Forwarding rate15 Mpps
Packet buffer memory1.5 MB

Security

DHCP featuresDHCP snooping, DHCP relay, DHCPv6 relay, DHCP client
Access Control List (ACL)Yes
IGMP snoopingYes
AuthenticationGuest VLAN, Port-based authentication
Authentication typeIEEE 802.1x, RADIUS
CPU defenseYes
IP-MAC-Port bindingYes
MAC address filteringYes
Password protectionYes
Queue scheduling algorithmsSPQ, WFQ, Weighted Round Robin (WRR)
Security algorithms802.1x RADIUS, SNMP, SNMPv3

Multicast features

Multicast supportYes

Design

Rack mountingNo
Product colourBlack
LED indicatorsYes
Wall mountableYes
SafetyLVD, BSMI
Electromagnetic compatibilityFCC 15 A, CE A, BSMI EMC

Performance

Internal memory256 MB
Flash memory32 MB
Noise level0 dB
Mean time between failures (MTBF)513985 h

Power

AC input voltage100 - 240 V
AC input frequency50 - 60 Hz
Power consumption (max)161.8 W

Power over Ethernet (PoE)

Power over Ethernet (PoE)Yes
Power over Ethernet (PoE) ports quantity8
Total Power over Ethernet (PoE) budget130 W

Operational conditions

Operating temperature (T-T)0 - 50 °C
Storage temperature (T-T)-40 - 70 °C
Operating relative humidity (H-H)10 - 95%
Storage relative humidity (H-H)10 - 95%
Heat dissipation551.74 BTU/h

Weight & dimensions

Width267 mm
Depth162 mm
Height44 mm
Weight1.9 kg

Packaging content

Cables includedAC

Packaging data

Package width375 mm
Package depth235 mm
Package height61 mm
Package weight2.73 kg

Certificates

CertificationRoHS

Logistics data

Harmonized System (HS) code85176990

More network switches deals in Austria

All network switches deals